Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.vecmath
Class CutRay2Parameter

    java.lang.Object
      de.grogra.vecmath.FunctionParameter
          de.grogra.vecmath.CutRay2Parameter

    public class CutRay2Parameter

extends FunctionParameter

A special parameter-class for the cutRay2-function in the Math2-class.

Author:
  Jan D�rer

Constructor Summary
`CutRay2Parameter()` Standardconstructor initialized the attributes with 0.0f
`CutRay2Parameter(boolean correct, boolean exists, float s1, float s2)` Specialconstructor to initialized the attributes with custom-values

Method Summary
`float` | `getS1()` Getter for the first parameter.
`float` | `getS2()` Getter for the second parameter.
`void` | `setS1(float s1)` Setter for the first parameter
`void` | `setS2(float s2)` Setter for the second parameter

Methods inherited from class de.grogra.vecmath.FunctionParameter
`isCorrect, isExists, setCorrect, setExists`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CutRay2Parameter

    public CutRay2Parameter()

  Standardconstructor initialized the attributes with 0.0f

### CutRay2Parameter

    public CutRay2Parameter(boolean correct,
                            boolean exists,
                            float s1,
                            float s2)

  Specialconstructor to initialized the attributes with custom-values

  Parameters:
    `correct` - correct The function works correct
    `exists` - Values exists after running a function
    `s1` - First Parameter
    `s2` - Second Parameter

Method Detail

### getS1

    public float getS1()

  Getter for the first parameter.

  Returns:
    The first parameter

### getS2

    public float getS2()

  Getter for the second parameter.

  Returns:
    The second parameter

### setS1

    public void setS1(float s1)

  Setter for the first parameter

  Parameters:
    `s1` - Set the new value for the first parameter

### setS2

    public void setS2(float s2)

  Setter for the second parameter

  Parameters:
    `s1` - Set the new value for the second parameter

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD